Subject: calculation of coordinates

From: "Tamas Gunda" <[email-masked]>
Date: Sun, 18 Jul 1999 13:10:29 +1

Dear Netters,

I have a problem in calculating of the position of a newly added atom,
defined by three other ones. I tried to figure out the necessary 
math, but something somewhere always went wrong....
Propably it is not difficult for those good in geometry.
So the problem in their language:

There are three points in the Cartesian space, A(xyz), B(xyx) and C(xyz).
I want to add a new point D and calculate its x,y,z coordinates,
when it is defined by:
   the D-B distance
   the DBA angle and
   the DBC angle.

My head is already full with rotating planes etc, but I always get to
a too complicated solution. Maybe somebody has a good & short recipe
for calculating D(xyz).

best regards

Tamas E. Gunda

************************************************************************
   Dr Tamas E. Gunda                   phone: (+36-52) 316666-2479
   Research Group of Antibiotics       fax  : (+36-52) 512914
   L. Kossuth University               e-mail: [email-masked]
   POBox 36                     http://dragon.klte.hu/~gundat               
   H-4010 Debrecen
   Hungary
************************************************************************